org.deidentifier.arx

## Class DataType.ARXString

- java.lang.Object
- - org.deidentifier.arx.DataType<java.lang.String>
  - - org.deidentifier.arx.DataType.ARXString

All Implemented Interfaces:
  java.io.Serializable, java.util.Comparator<java.lang.String>

Enclosing class:
  DataType<T>

    public static class DataType.ARXString
    extends DataType<java.lang.String>

Base class for string types.

Author:
  Fabian Prasser
See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class org.deidentifier.arx.DataType

`DataType.ARXDate, DataType.ARXDecimal, DataType.ARXInteger, DataType.ARXOrderedString, DataType.ARXString, DataType.DataTypeDescription<T>, DataType.DataTypeWithFormat, DataType.DataTypeWithRatioScale<T>`

### Field Summary

### Fields inherited from class org.deidentifier.arx.DataType

`ANY_VALUE, DATE, DECIMAL, INTEGER, NULL_VALUE, ORDERED_STRING, STRING`

### Constructor Summary

Constructors
Constructor and Description
`ARXString()`

### Method Summary

All Methods Instance Methods Concrete Methods
`DataType<java.lang.String>` `clone()`
`int` `compare(java.lang.String s1, java.lang.String s2)` Compare.
`boolean` `equals(java.lang.Object obj)`
`java.lang.String` `format(java.lang.String s)` Converts a value into a string.
`DataType.DataTypeDescription<java.lang.String>` `getDescription()` Returns a description of the data type.
`int` `hashCode()`
`boolean` `isValid(java.lang.String s)` Checks whether the given string conforms to the data type's format.
`java.lang.String` `parse(java.lang.String s)` Converts a string into a value.
`java.lang.String` `toString()`

### Methods inherited from class org.deidentifier.arx.DataType

`createAggregate, createDate, createDate, createDecimal, createDecimal, createInteger, createInteger, createOrderedString, createOrderedString, createOrderedString, isAny, isNull, list, list`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.util.Comparator

`comparing, comparing, comparingDouble, comparingInt, comparingLong, naturalOrder, nullsFirst, nullsLast, reversed, reverseOrder, thenComparing, thenComparing, thenComparing, thenComparingDouble, thenComparingInt, thenComparingLong`

### Constructor Detail

#### ARXString

    public ARXString()

### Method Detail

#### clone

    public DataType<java.lang.String> clone()

Specified by:
  `clone` in class `DataType<java.lang.String>`

#### compare

    public int compare(java.lang.String s1,
                       java.lang.String s2)

Description copied from class: `DataType`
Compare.

Specified by:
  `compare` in interface `java.util.Comparator<java.lang.String>`
Specified by:
  `compare` in class `DataType<java.lang.String>`

#### equals

    public boolean equals(java.lang.Object obj)

Specified by:
  `equals` in interface `java.util.Comparator<java.lang.String>`
Specified by:
  `equals` in class `DataType<java.lang.String>`

#### format

    public java.lang.String format(java.lang.String s)

Description copied from class: `DataType`
Converts a value into a string.

Specified by:
  `format` in class `DataType<java.lang.String>`
Returns:

#### getDescription

    public DataType.DataTypeDescription<java.lang.String> getDescription()

Description copied from class: `DataType`
Returns a description of the data type.

Specified by:
  `getDescription` in class `DataType<java.lang.String>`
Returns:

#### hashCode

    public int hashCode()

Specified by:
  `hashCode` in class `DataType<java.lang.String>`

#### isValid

    public boolean isValid(java.lang.String s)

Description copied from class: `DataType`
Checks whether the given string conforms to the data type's format.

Specified by:
  `isValid` in class `DataType<java.lang.String>`
Returns:

#### parse

    public java.lang.String parse(java.lang.String s)

Description copied from class: `DataType`
Converts a string into a value.

Specified by:
  `parse` in class `DataType<java.lang.String>`
Returns:

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`